Crashpad

Public Member Functions | List of all members
crashpad::ThreadLogMessages Class Reference

Captures log messages produced on the current thread during an object’s lifetime. More...

`#include "util/thread/thread_log_messages.h"`

## Public Member Functions
const std::vector< std::string > & | log_messages () const

## Detailed Description

Captures log messages produced on the current thread during an object’s lifetime.

At most one object of this class type may exist on a single thread at a time. When using this class, no other part of the program may call `logging::SetLogMessageHandler()` at any time.

## Member Function Documentation

## ◆ log_messages()

const std::vector<std::string>& crashpad::ThreadLogMessages::log_messages | ( |  | ) | const
| inline

Returns
  The log messages collected on the thread that this object was created on since the time it was created.

The documentation for this class was generated from the following files:

- util/thread/thread_log_messages.h
- util/thread/thread_log_messages.cc